org.activiti.engine.runtime

## Interface ProcessInstance

- All Superinterfaces:
    Execution

      public interface ProcessInstance
      extends Execution

  Represents one execution of a `ProcessDefinition`.
  Author:
    Tom Baeyens, Joram Barrez, Daniel Meyer, Tijs Rademakers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBusinessKey()` The business key of this process instance.
    `String` | `getDeploymentId()` The deployment id of the process definition of the process instance.
    `String` | `getDescription()` Returns the description of this process instance.
    `String` | `getLocalizedDescription()` Returns the localized description of this process instance.
    `String` | `getLocalizedName()` Returns the localized name of this process instance.
    `String` | `getName()` Returns the name of this process instance.
    `String` | `getProcessDefinitionId()` The id of the process definition of the process instance.
    `String` | `getProcessDefinitionKey()` The key of the process definition of the process instance.
    `String` | `getProcessDefinitionName()` The name of the process definition of the process instance.
    `Integer` | `getProcessDefinitionVersion()` The version of the process definition of the process instance.
    `Map<String,Object>` | `getProcessVariables()` Returns the process variables if requested in the process instance query
    `String` | `getTenantId()` The tenant identifier of this process instance
    `boolean` | `isSuspended()` returns true if the process instance is suspended

    - ### Methods inherited from interface org.activiti.engine.runtime.Execution

      `getActivityId, getId, getParentId, getProcessInstanceId, getSuperExecutionId, isEnded`

- - ### Method Detail

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      The id of the process definition of the process instance.

    - #### getProcessDefinitionName

          String getProcessDefinitionName()

      The name of the process definition of the process instance.

    - #### getProcessDefinitionKey

          String getProcessDefinitionKey()

      The key of the process definition of the process instance.

    - #### getProcessDefinitionVersion

          Integer getProcessDefinitionVersion()

      The version of the process definition of the process instance.

    - #### getDeploymentId

          String getDeploymentId()

      The deployment id of the process definition of the process instance.

    - #### getBusinessKey

          String getBusinessKey()

      The business key of this process instance.

    - #### isSuspended

          boolean isSuspended()

      returns true if the process instance is suspended
      Specified by:
        `isSuspended` in interface `Execution`

    - #### getProcessVariables

          Map<String,Object> getProcessVariables()

      Returns the process variables if requested in the process instance query

    - #### getTenantId

          String getTenantId()

      The tenant identifier of this process instance
      Specified by:
        `getTenantId` in interface `Execution`

    - #### getName

          String getName()

      Returns the name of this process instance.
      Specified by:
        `getName` in interface `Execution`

    - #### getDescription

          String getDescription()

      Returns the description of this process instance.
      Specified by:
        `getDescription` in interface `Execution`

    - #### getLocalizedName

          String getLocalizedName()

      Returns the localized name of this process instance.

    - #### getLocalizedDescription

          String getLocalizedDescription()

      Returns the localized description of this process instance.

Copyright © 2016 Alfresco. All rights reserved.